unit csc32;

// CSC32.PAS, Version 7.1 [Delphi for Win32]

interface

const

  CSC_SET_CONNECT_WAIT     =   1;
  CSC_SET_SLEEP_TIME       =   2;
  CSC_SET_CLOSE_LINGER     =   3;
  CSC_SET_WRITE_BUFSIZE    =   4;
  CSC_SET_BLOCKING_MODE    =   5;
  CSC_SET_LOG_FILE         =   6;
  CSC_SET_FILE_PATH        =   7;
  CSC_SET_DEBUG_LEVEL      =   8;
  CSC_SET_BUFFER_SIZE      =   9;
  CSC_SET_TIMEOUT_VALUE    =  10;
  CSC_SET_TCP_NODELAY      =  11;
  CSC_SET_LINGER           =  12;
  CSC_SET_STOP_BYTE        =  13;
  CSC_SET_FILE_APPEND      =  14;
  CSC_SET_FILE_OVERWRITE   =  15;
  CSC_SET_DELAY_TIME       =  16;
  CSC_SET_MAX_PACKET_SIZE  =  17;
  CSC_SET_CLOSE_TIMEOUT    =  18;
  CSC_SET_SOCK_REUSE       =  19;
  CSC_GET_ERROR_TEXT       =  20;
  CSC_GET_COUNTER          =  21;
  CSC_GET_SOCK_ERROR       =  22;
  CSC_GET_SOCKET           =  23;
  CSC_GET_CONNECT_STATUS   =  24;
  CSC_GET_REGISTRATION     =  25;
  CSC_GET_LOCAL_IP         =  26;
  CSC_GET_REMOTE_IP        =  27;
  CSC_GET_VERSION          =  28;
  CSC_GET_BUILD            =  29;
  CSC_GET_FILE_NAME        =  30;
  CSC_GET_FILE_LENGTH      =  31;
  CSC_GET_REMOTE_SERVER_IP =  32;
  CSC_GET_REMOTE_CLIENT_IP =  33;
  CSC_GET_COMPUTER_NAME    =  34;
  CSC_GET_BUFFER_SIZE      =  35;
  CSC_GET_DAYS_LEFT        =  36;
  CSC_GET_MAX_PACKET_SIZE  =  37;
  CSC_GET_MAX_UDP_SIZE     =  38;
  
  CSC_WRITE_TO_LOG         =  50;
  
  CSC_SET_PAD_TX_INDEX     =  61;
  CSC_SET_PAD_RX_INDEX     =  62;

  CSC_NO_ERROR             =  1;
  CSC_FILES_MATCH          =  2;
  CSC_EOF                  = -1;
  CSC_ABORTED              = -2;
  CSC_ACCEPT_ERROR         = -3;
  CSC_ALREADY_ATTACHED     = -4;
  CSC_CANNOT_COMPLY        = -5;
  CSC_NO_SUCH_SOCKET       = -6;
  CSC_CONNECT_ERROR        = -7;
  CSC_LISTEN_ERROR         = -8;
  CSC_NO_SUCH_HOST         = -9;
  CSC_NOT_ATTACHED         = -10;
  CSC_NULL_ARGUMENT        = -11;
  CSC_NULL_POINTER         = -12;
  CSC_CANNOT_ALLOCATE      = -13;
  CSC_BUFFER_SIZE_ERROR    = -14;
  CSC_CRC_ERROR            = -15;
  CSC_TOO_MANY_SOCKETS     = -16;
  CSC_NO_FREE_SOCKETS      = -17;
  CSC_NO_SUCH_FILE         = -18;
  CSC_FILE_FORMAT_ERROR    = -19;
  CSC_FILE_NAME_ONLY       = -20;
  CSC_PACKET_TIMEOUT       = -21;
  CSC_PACKET_ERROR         = -22;
  CSC_XFER_CANCELLED       = -23;
  CSC_FILE_TOO_LARGE       = -24;
  CSC_NO_LISTEN_SOCK       = -25;
  CSC_ARGUMENT_RANGE       = -26;
  CSC_DATA_SIZE            = -27;
  CSC_CONNECT_TIMEOUT      = -28;
  CSC_PACKET_SIZE          = -29;
  CSC_CANNOT_RESOLVE       = -30;
  CSC_BAD_KEY_CODE         = -74;
  CSC_BAD_OFFSET           = -75;

  CSC_EXPIRED              = -104;
  CSC_KEYCODE              = -108;

  CSC_DEBUG_OFF            = 0;
  CSC_DEBUG_LOW            = 1;
  CSC_DEBUG_HIGH           = 2;

function cscAcceptConnect(vSock:Integer):Integer;stdcall;
function cscAttach(DataSocks, ListenSocks, KeyCode:Integer):Integer;stdcall;
function cscAwaitConnect(vSock, Timeout:Integer):Integer;stdcall;
function cscAwaitData(vSock, Timeout:Integer):Integer;stdcall;
function cscByteToShort(Buffer:PAnsiChar):Integer;stdcall;
function cscChallenge(Buffer:PAnsiChar):Integer;stdcall;
function cscClient(ClientName:PAnsiChar;ClientPort:Integer):Integer;stdcall;
function cscClientExt(ClientName:PAnsiChar;ClientPort:Integer;LocalIP:PAnsiChar):Integer;stdcall;
function cscClose(vSock:Integer):Integer;stdcall;
function cscConnectMessage(WinHandle, vSock, WinMessage:Integer):Integer;stdcall;
function cscCreateUDP(LocalPort:Integer; LocalHost:PAnsiChar):Integer;stdcall;
function cscCryptoGetData(vSock:Integer;Buffer:PAnsiChar;BufLen:Integer;PadChars:PAnsiChar;PadLen:Integer):Integer;stdcall;
function cscCryptoGetFile(vSock:Integer;FileName:PAnsiChar;PadChars:PAnsiChar;PadLen:Integer):Integer;stdcall;
function cscCryptoGetFileExt(vSock:Integer;FileFlag:Integer;PadChars:PAnsiChar;PadLen:Integer):Integer;stdcall;
function cscCryptoGetPacket(vSock:Integer;Buffer:PAnsiChar;BufLen:Integer;PadChars:PAnsiChar;PadLen:Integer):Integer;stdcall;
function cscCryptoPutData(vSock:Integer;Buffer:PAnsiChar;BufLen:Integer;PadChars:PAnsiChar;PadLen:Integer):Integer;stdcall;
function cscCryptoPutFile(vSock:Integer;FileName:PAnsiChar;PadChars:PAnsiChar;PadLen:Integer):Integer;stdcall;
function cscCryptoPutFileExt(vSock:Integer;FileName:PAnsiChar;PadChars:PAnsiChar;PadLen:Integer):Integer;stdcall;
function cscCryptoPutPacket(vSock:Integer;Buffer:PAnsiChar;BufLen:Integer;PadChars:PAnsiChar;PadLen:Integer):Integer;stdcall;
function cscDataCRC(InitCRC:Cardinal;Buffer:PAnsiChar;BufLen:Integer):Cardinal;stdcall;
function cscDataMessage(WinHandle, vSock, WinMessage:Integer):Integer;stdcall;
function cscErrorText(ErrCode:Integer;Buffer:PAnsiChar;BufLen:Integer):Integer;stdcall;
function cscFileCRC(Buffer:PAnsiChar):Cardinal;stdcall;
function cscFileLength(Filename:PAnsiChar):Integer;stdcall;
function cscFillRandom(PadChars:PAnsiChar;PadLen:Integer;Seed:Integer):Integer;stdcall;
function cscGetData(vSock:Integer;Buffer:PAnsiChar;BufLen:Integer):Integer;stdcall;
function cscGetFile(vSock:Integer;FileName:PAnsiChar):Integer;stdcall;
function cscGetFileExt(vSock:Integer;FileFlag:Integer):Integer;stdcall;
function cscGetInteger(vSock, Index:Integer):Integer;stdcall;
function cscGetPacket(vSock:Integer;Buffer:PAnsiChar;BufLen:Integer):Integer;stdcall;
function cscGetString(vSock, Parm:Integer;Buffer:PAnsiChar;BufLen:Integer):Integer;stdcall;
function cscGetUDP(vSock:Integer;Buffer:PAnsiChar;BufLen:Integer;IPdotted:PAnsiChar):Integer;stdcall;
function cscIsConnected(vSock:Integer):Integer;stdcall;
function cscLaunch(PathToEXE:PAnsiChar;CmdLine:PAnsiChar):Integer;stdcall;
function cscMakeDotted(Addr:Integer;Buffer:PAnsiChar;BufLen:Integer):Integer;stdcall;
function cscMakeDotted4(Byte1,Byte2,Byte3,Byte4:Integer;Buffer:PAnsiChar;BufLen:Integer):Integer;stdcall;
function cscMulticast(vSock:Integer;MultiIP:Integer):Integer;stdcall;
function cscNetToHost16(UInteger:Cardinal):Cardinal;stdcall;
function cscNetToHost32(UInteger:Cardinal):Cardinal;stdcall;
function cscPutData(vSock:Integer;Buffer:PAnsiChar;BufLen:Integer):Integer;stdcall;
function cscPutFile(vSock:Integer;FileName:PAnsiChar):Integer;stdcall;
function cscPutFileExt(vSock:Integer;FileName:PAnsiChar):Integer;stdcall;
function cscPutPacket(vSock:Integer;Buffer:PAnsiChar;BufLen:Integer):Integer;stdcall;
function cscPutUDP(vSock:Integer;Buffer:PAnsiChar;BufLen:Integer;RemoteIP:Cardinal;RemotePort:Integer):Integer;stdcall;
function cscReadSize(vSock:Integer):Integer;stdcall;
function cscRelease():Integer;stdcall;
function cscResolve(HostName:PAnsiChar;HostIndex:Integer):Cardinal;stdcall;
function cscResponse(Challenge:PAnsiChar;Multiplier, Mask, RotateCount:Integer;Response:PAnsiChar):Integer;stdcall;
function cscServer(ServerName:PAnsiChar;ServerPort, MaxConnect:Integer):Integer;stdcall;
function cscSetInteger(vSock, ParamName, ParamValue:Integer):Integer;stdcall;
function cscSetString(vSock, ParamName:Integer;ParamPtr:PAnsiChar):Integer;stdcall;
function cscShortToByte(Buffer:PAnsiChar):Integer;stdcall;
function cscSleep(MilliSecs:Integer):Integer;stdcall;
function cscSystemTics():Integer;stdcall;
function cscTestDotted(Filename:PAnsiChar):Integer;stdcall;

implementation

function cscAcceptConnect;external 'csc32.dll';
function cscAttach;external 'csc32.dll';
function cscAwaitConnect;external 'csc32.dll';
function cscAwaitData;external 'csc32.dll';
function cscByteToShort;external 'csc32.dll';
function cscChallenge;external 'csc32.dll';
function cscClient;external 'csc32.dll';
function cscClientExt;external 'csc32.dll';
function cscClose;external 'csc32.dll';
function cscConnectMessage;external 'csc32.dll';
function cscCreateUDP;external 'csc32.dll';
function cscCryptoGetData;external 'csc32.dll';
function cscCryptoGetFile;external 'csc32.dll';
function cscCryptoGetFileExt;external 'csc32.dll';
function cscCryptoGetPacket;external 'csc32.dll';
function cscCryptoPutData;external 'csc32.dll';
function cscCryptoPutFile;external 'csc32.dll';
function cscCryptoPutFileExt;external 'csc32.dll';
function cscCryptoPutPacket;external 'csc32.dll';
function cscDataCRC;external 'csc32.dll';
function cscDataMessage;external 'csc32.dll';
function cscErrorText;external 'csc32.dll';
function cscFileCRC;external 'csc32.dll';
function cscFileLength;external 'csc32.dll';
function cscFillRandom;external 'csc32.dll';
function cscGetData;external 'csc32.dll';
function cscGetFile;external 'csc32.dll';
function cscGetFileExt;external 'csc32.dll';
function cscGetInteger;external 'csc32.dll';
function cscGetPacket;external 'csc32.dll';
function cscGetString;external 'csc32.dll';
function cscGetUDP;external 'csc32.dll';
function cscIsConnected;external 'csc32.dll';
function cscLaunch;external 'csc32.dll';
function cscMakeDotted4;external 'csc32.dll';
function cscMakeDotted;external 'csc32.dll';
function cscMulticast;external 'csc32.dll';
function cscNetToHost16;external 'csc32.dll';
function cscNetToHost32;external 'csc32.dll';
function cscPutData;external 'csc32.dll';
function cscPutFile;external 'csc32.dll';
function cscPutFileExt;external 'csc32.dll';
function cscPutPacket;external 'csc32.dll';
function cscPutUDP;external 'csc32.dll';
function cscReadSize;external 'csc32.dll';
function cscRelease;external 'csc32.dll';
function cscResolve;external 'csc32.dll';
function cscResponse;external 'csc32.dll';
function cscServer;external 'csc32.dll';
function cscSetInteger;external 'csc32.dll';
function cscSetString;external 'csc32.dll';
function cscShortToByte;external 'csc32.dll';
function cscSleep;external 'csc32.dll';
function cscSystemTics;external 'csc32.dll';
function cscTestDotted;external 'csc32.dll';
end.
